summaryrefslogtreecommitdiffstats
path: root/abs/core/LinHES-system/lh_message.sh
diff options
context:
space:
mode:
Diffstat (limited to 'abs/core/LinHES-system/lh_message.sh')
-rw-r--r--abs/core/LinHES-system/lh_message.sh39
1 files changed, 20 insertions, 19 deletions
diff --git a/abs/core/LinHES-system/lh_message.sh b/abs/core/LinHES-system/lh_message.sh
index 203d127..deddcff 100644
--- a/abs/core/LinHES-system/lh_message.sh
+++ b/abs/core/LinHES-system/lh_message.sh
@@ -19,25 +19,26 @@ fi
font="-adobe-helvetica-bold-*-*-*-34-*-*-*-*-*-*-*"
}
-function delay_osd(){
- if [ x$STARTUP_STYLE = xmythvantage ]
- then
- cmd="ps -ef | grep -v grep | grep -q xmsg.py"
- else
- cmd="ps -ef | grep -v grep | grep -q osd_cat"
- fi
-
- eval $cmd
-
- rc=$?
- while [ $rc = 0 ]
- do
- eval $cmd
- rc=$?
- done
-
- }
+# function delay_osd(){
+# if [ x$STARTUP_STYLE = xmythvantage ]
+# then
+# cmd="ps -ef | grep -v grep | grep -q xmsg.py"
+# else
+# cmd="ps -ef | grep -v grep | grep -q osd_cat"
+# fi
+#
+# eval $cmd
+#
+# rc=$?
+# while [ $rc = 0 ]
+# do
+# eval $cmd
+# rc=$?
+# done
+#
+#
+# }
function msg_osd(){
DISPLAY=127.0.0.1:0 echo -e "$1" | DISPLAY=127.0.0.1:0 osd_cat --pos=middle --align=center --offset=200 --delay=5 --color=$color --outline=$outline --outlinecolour=$outlinecolour --shadow=$shadow --shadowcolour=$shadowcolour --font=$font
@@ -59,7 +60,7 @@ function msg(){
if [ x"${@}" = x ]
then
- print "nothing to display"
+ echo "nothing to display"
else
msg "${@}"
fi